[ANN] Maven Surefire Plugin 2.7.1 Released

Previous Topic Next Topic
classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view

[ANN] Maven Surefire Plugin 2.7.1 Released

Kristian Rosenvold-5
The Maven team is pleased to announce the release of the Maven
Surefire Plugin, version 2.7.1

This release includes the maven-surefire-plugin, which executes the
unit tests of an application, the maven-surefire-report-plugin, which
parses surefire/failsafe test results and renders them to DOXIA
creating the web interface version of the test results, as well as the
maven-failsafe-plugin, which executes the integration tests of an

**** Note to JUnit4 users upgrading:
Due to SUREFIRE-482 users upgrading to surefire 2.7.1 from <2.7
may see some (incorrectly defined) tests not being run any more.
This should be verified by running mvn -Dsurefire.junit4.upgradecheck=true
install at least once (this can be run multiple times until you
have fixed all issues)


You should specify the version in your project's plugin configuration:


Release Notes - Maven Surefire - Version 2.7.1

** Bug
    * [SUREFIRE-636] - Wrong plugin parameter documentation for
includes and excludes
    * [SUREFIRE-651] - Setting printSummary=true disables
    * [SUREFIRE-669] - Inconsistency in docs for param 'includes'
    * [SUREFIRE-671] - surefire should not run abstract test cases
    * [SUREFIRE-672] - Failsafe no longer fails builds due to broken
failsafe-summary.xml file
    * [SUREFIRE-673] - mockito does not always seem to work with 2.7
    * [SUREFIRE-674] - Build does not fail when tests have errors

** Improvement
    * [SUREFIRE-644] - Use an iterator instead of accessing the list
items by index.
    * [SUREFIRE-668] - Link to "Configuring providers" missing under
Examples in index page
    * [SUREFIRE-670] - "surefire.junit4.upgradecheck" property not
documented on site


-The Maven team

To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]